EDIT - bug #8278

LazylnitializationException (LIE) in ReferenceEllypsisCaptionGenerator
05/16/2019 01:45 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.8

Severity: critical Found in Version: Release 5.7
Description

found in the server log

[phycobank] 2019-05-07 15:37:04,623 ERROR [qgtpl207140081-35] [com.flowingcode.vaadin.addons.errorw
indow.ErrorWindow] - Error occurred clad0b51-6la5-4cf3-a5bc-7457c57f7b%e
org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractlLazyInitializer.j
ava:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitial
izer.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvst9ed_62.getTitleCache (TeamOrPersonB
ase_S$S$_Jjvst9ed_62. java)

at eu.etaxonomy.cdm.format.ReferenceEllypsisFormatter.entityEllypsis (ReferenceEllypsisForm
atter.java:89)

at eu.etaxonomy.cdm.format.ReferenceEllypsisFormatter.entityEllypsis (ReferenceEllypsisForm
atter.java:l)

at eu.etaxonomy.cdm.format.AbstractEllypsisFormatter.ellypsis (AbstractEllypsisFormatter. ja
va:34)

at eu.etaxonomy.cdm.vaadin.util.ReferenceEllypsisCaptionGenerator.getCaption(ReferenceElly
psisCaptionGenerator. java:46)

at eu.etaxonomy.cdm.vaadin.util.ReferenceEllypsisCaptionGenerator.getCaption (ReferenceElly
psisCaptionGenerator. java:23)

at org.vaadin.viritin.fields.TypedSelect.getCaption (TypedSelect.java:311)

at org.vaadin.viritin.fields.LazyComboBox$5.getItemCaption (LazyComboBox. java:153)

at org.vaadin.viritin.fields.LazyComboBox$5.buildFilter (LazyComboBox. java:168)

at com.vaadin.ui.ComboBox.getOptionsWithFilter (ComboBox.java:435)

at com.vaadin.ui.ComboBox.paintContent (ComboBox. java:261)

at com.vaadin.server.LegacyPaint.paint (LegacyPaint.java:65)

at com.vaadin.server.communication.LegacyUidlWriter.write (LegacyUidlWriter. java:82)

at com.vaadin.server.communication.UidlWriter.write (UidlWriter. java:143)

at com.vaadin.server.communication.UidlRequestHandler.writeUidl (UidlRequestHandler. java:12
4)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlReques
tHandler.java:92)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. j
ava:41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

Associated revisions

Revision c50b9988 - 05/17/2019 04:01 PM - Andreas Kohlbecker

ref #8278 supporting two levels of inRefernces in init-strategies related to ellypsed reference comboboxes

History

#1 - 05/16/2019 02:23 PM - Andreas Kohlbecker

- Target version changed from Release 5.7 to Release 5.8
- Found in Version changed from Release 5.6 to Release 5.7

#2 - 05/17/2019 04:13 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Priority changed from New to Highest

- % Done changed from 0 to 50

- Severity changed from normal to critical

most probably fixed - please close if the LIE no longer occurs.

#3 - 07/16/2019 12:41 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

closing, since this problem no longer occurred.
